Summary:        An implementation of the OAuth request-signing logic
Name:           python-oauthlib
Version:        3.2.2
Release:        2%{?dist}
License:        BSD
Vendor:         Microsoft Corporation
Distribution:   Azure Linux
Group:          Development/Languages/Python
URL:            https://github.com/oauthlib/oauthlib
Source0:        https://github.com/oauthlib/oauthlib/archive/refs/tags/v%{version}.tar.gz#/oauthlib-%{version}.tar.gz
BuildArch:      noarch
%if 0%{?with_check}
BuildRequires:  python3-pip
BuildRequires:  python3-cryptography
BuildRequires:  python3-jwt
BuildRequires:  python3-blinker
%endif

%description
OAuthLib is a generic utility which implements the logic of OAuth without assuming a specific HTTP request object or web framework

%package -n python3-oauthlib
Summary:        Python3 package for oauthlib
BuildRequires:  libffi-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-xml
Requires:       python3
Requires:       python3-cryptography
Requires:       python3-jwt
Requires:       python3-blinker

%description -n python3-oauthlib
OAuthLib is a generic utility which implements the logic of OAuth without assuming a specific HTTP request object or web framework

%prep
%autosetup -n oauthlib-%{version}

%build
%py3_build

%install
%py3_install

%check
pip3 install mock wheel
%python3 setup.py test

%files -n python3-oauthlib
%license LICENSE
%{python3_sitelib}/*

%changelog
* Tue Apr 29 2025 Riken Maharjan <rmaharjan@microsoft.com> -  3.2.2-2
- Add missing runtime deps

* Fri Feb 02 2024 Henry Li <lihl@microsoft.com> - 3.2.2-1
- Upgrade to version 3.2.2
- Fix Source0

* Wed Feb 09 2022 Muhammad Falak <mwani@microsoft.com> - 2.1.0-7
- Add an explicit BR on 'pip'
- Install 'wheel' to enable ptest

* Fri Dec 03 2021 Thomas Crain <thcrain@microsoft.com> - 2.1.0-6
- Replace easy_install usage with pip in %%check sections

* Wed Oct 20 2021 Thomas Crain <thcrain@microsoft.com> - 2.1.0-5
- Add license to python3 package
- Remove python2 package
- Lint spec

* Sat May 09 2020 Nick Samson <nisamson@microsoft.com> - 2.1.0-4
- Added %%license line automatically

* Mon Apr 13 2020 Jon Slobodzian <joslobo@microsoft.com> - 2.1.0-3
- Verified license. Removed sha1. Fixed Source0 URL. Fixed URL.

* Tue Sep 03 2019 Mateusz Malisz <mamalisz@microsoft.com> - 2.1.0-2
- Initial CBL-Mariner import from Photon (license: Apache2).

* Sun Sep 09 2018 Tapas Kundu <tkundu@vmware.com> - 2.1.0-1
- Update to version 2.1.0

* Fri Jul 07 2017 Chang Lee <changlee@vmware.com> - 2.0.2-3
- Add  libffi-devel in BuildRequires and install mock python module in %check

* Wed Jun 07 2017 Xiaolin Li <xiaolinl@vmware.com> - 2.0.2-2
- Add python3-setuptools and python3-xml to python3 sub package Buildrequires.

* Thu Apr 13 2017 Anish Swaminathan <anishs@vmware.com> - 2.0.2-1
- Initial packaging for Photon
